<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="pageNameTitle" value="#{messages['gazelle.common.menu.DocumentsManagement']}"/>
    <ui:define name="body">
        <h:form id="globalform" styleClass="form-horizontal">
            <s:token allowMultiplePosts="true"/>
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{documentManager.filter.urlParameters}"/>
            <script>
                updateUrl("globalform:filterUrlParameters");
                $("#globalform\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("globalform:filterUrlParameters");
                        });
            </script>
            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{documentManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="domain"/>
                            <ui:param name="filterName"
                                      value="#{messages['gazelle.productregistry.system.label.Domain']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{documentManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="revision"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.tm.Revision']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{documentManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="type"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.tm.Type']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filterDate.xhtml">
                            <ui:param name="filter" value="#{documentManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="dateOfPublication"/>
                            <ui:param name="filterName"
                                      value="#{messages['net.ihe.gazelle.tm.DateOfPublication']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{documentManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="volume"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.tm.Volume']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{documentManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="lifecycleStatus"/>
                            <ui:param name="filterName"
                                      value="#{messages['net.ihe.gazelle.tm.LifeCycleStatus']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{documentManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="title"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.tm.Title']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{documentManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="name"/>
                            <ui:param name="filterName"
                                      value="#{messages['gazelle.testmanagement.object.Name']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row">
                    <a4j:commandButton id="newDocumentButton"
                                       rendered="#{s:hasRole('tests_editor_role') and applicationManager.isMasterModel()}"
                                       value="#{messages['net.ihe.gazelle.tm.NewDocument']}"
                                       ignoreDupResponses="true" immediate="true" styleClass="gzl-btn-green"
                                       actionListener="#{documentManager.newDocument()}"
                                       render="globalform"/>
                    <h:commandLink title="#{messages['net.ihe.gazelle.tm.DownloadFilteredDocumentsAsXmlFile']}"
                                   ignoreDupResponses="true"
                                   action="#{documentManager.exportDocumentsAsXml()}"
                                   rendered="#{s:hasRole('admin_role')}"
                                   value ="#{messages['net.ihe.gazelle.tm.ExportFilteredDocuments']}"
                                   styleClass="gzl-btn-blue pull-right"
                                   execute="@this"/>
                </div>



                <ui:define name="filter_buttons">
                    <a4j:commandLink actionListener="#{documentManager.filter.clear()}"
                                     title="#{messages['gazelle.users.reset']}" type="submit"
                                     execute="@this" render="globalform,results">
                        <span class="fa fa-times-circle"/>
                    </a4j:commandLink>
                </ui:define>
            </ui:decorate>

            <s:div id="editDiv" rendered="#{documentManager.renderAddPanel}">
                <ui:include src="/tf/documents/_editDocumentForm.xhtml">
                </ui:include>
            </s:div>
            <s:div id="results">
                <s:div rendered="#{documentManager.documents.size() &gt; 0}">
                    <h:outputText
                            value="#{documentManager.documents.size()} #{messages['net.ihe.gazelle.tm.documents.ForThisSearch']}"/>
                    <a4j:commandButton id="RefreshResultsButton"
                                       value="#{messages['net.ihe.gazelle.tm.RefreshResults']}"
                                       ignoreDupResponses="true" immediate="true" styleClass="gzl-btn"
                                       render="globalform"/>
                    <a4j:commandButton actionListener="#{documentManager.resetCache()}" styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.tm.ResetCache']}"/>
                </s:div>
                <rich:dataTable id="DocumentTable" var="currentDocument" value="#{documentManager.documents}"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                rendered="#{documentManager.documents.size() &gt; 0}" render="ds">
                    <g:column sortBy="#{'name'}">
                        <ui:define name="header">
                            <h:outputText
                                    value="#{messages['gazelle.productregistry.system.label.Domain']}"/>
                        </ui:define>
                        <g:link value="#{currentDocument.domain}" detailed="false"/>
                    </g:column>
                    <g:column sortBy="#{'type'}">
                        <ui:define name="header">
                            <h:outputText value="#{messages['net.ihe.gazelle.tm.Type']}"/>
                        </ui:define>
                        <h:outputText id="documentTypeOutputText"
                                      value="#{currentDocument.type.friendlyName}"/>
                    </g:column>
                    <g:column sortBy="#{'volume'}">
                        <ui:define name="header">
                            <h:outputText value="#{messages['net.ihe.gazelle.tm.Volume']}"/>
                        </ui:define>
                        <h:outputText id="documentvolumeOutputText" value="#{currentDocument.volume}"/>
                    </g:column>
                    <g:column sortBy="#{'title'}" filterBy="#{'title'}" filterEvent="onkeyup">
                        <ui:define name="header">
                            <h:outputText value="#{messages['net.ihe.gazelle.tm.Title']}"/>
                        </ui:define>
                        <h:outputText id="documentTitleOutputText" value="#{currentDocument.title}"/>
                    </g:column>
                    <g:column sortBy="#{'revision'}">
                        <ui:define name="header">
                            <h:outputText value="#{messages['net.ihe.gazelle.tm.Revision']}"/>
                        </ui:define>
                        <h:outputText id="documentRevisionOutputText"
                                      value="#{currentDocument.revision}"/>
                    </g:column>
                    <g:column sortBy="#{'dateOfpublication'}">
                        <ui:define name="header">
                            <h:outputText value="#{messages['net.ihe.gazelle.tm.DateOfPublication']}"/>
                        </ui:define>
                        <g:date time="false" value="#{currentDocument.dateOfpublication}"/>
                    </g:column>
                    <g:column sortBy="#{'lifecyclestatus'}">
                        <ui:define name="header">
                            <h:outputText value="#{messages['net.ihe.gazelle.tm.LifeCycleStatus']}"/>
                        </ui:define>
                        <h:outputText id="documentLifecyclestatusOutputText"
                                      value="#{currentDocument.lifecyclestatus.friendlyName}"/>
                    </g:column>
                    <g:column sortBy="#{'url'}">
                        <ui:define name="header">
                            <h:outputText value="#{messages['gazelle.testmanagement.object.Name']}"/>
                        </ui:define>
                        <ui:include src="/tf/documents/_documentPdfLink.xhtml">
                            <ui:param name="document" value="#{currentDocument}"/>
                            <ui:param name="displayedName" value="#{currentDocument.name}"/>
                        </ui:include>
                    </g:column>
                    <g:column>
                        <ui:define name="header">
                            <h:outputText value="##{messages['net.ihe.gazelle.tm.DocumentSections']}"/>
                        </ui:define>
                        <h:outputText id="documentNbSectionOutputText"
                                      value="#{currentDocument.documentSection.size()}"/>
                    </g:column>
                    <g:column sortBy="#{'lastChanged'}" sortOrder="descending"
                              sortMode="DESCENDING">
                        <ui:define name="header">#{messages['gazelle.tm.test.LastUpdate']}</ui:define>
                        <g:date tooltip="true" value="#{currentDocument.lastChanged}"/>
                    </g:column>
                    <g:column sortBy="#{'lastModifierId'}" sortOrder="ascending">
                        <ui:define name="header">#{messages['gazelle.tm.search.user']}</ui:define>
                        <h:outputText value="#{documentManager.getUserName(currentDocument.lastModifierId)}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.common.Action']}</ui:define>
                        <div class="gzl-never-wrap">
                            <a4j:commandLink
                                    action="#{documentManager.show(currentDocument)}"
                                    title="#{messages['gazelle.common.button.View']}"
                                    onRowMouseOver="this.style.cursor='pointer'">
                                <span class="gzl-icon-search"/>
                            </a4j:commandLink>
                            <a4j:commandLink action="#{documentManager.edit(currentDocument)}"
                                             title="#{messages['gazelle.common.button.Edit']}"
                                             rendered="#{( s:hasRole('admin_role') || s:hasRole('tests_editor_role')) and applicationManager.isMasterModel()}">
                                <span class="gzl-icon-pencil"/>
                            </a4j:commandLink>
                            <a4j:commandLink event="click" render="globalform" execute="@this"
                                             title="#{messages['net.ihe.gazelle.tm.CloneThisDocument']}"
                                             rendered="#{( s:hasRole('admin_role') || s:hasRole('tests_editor_role')) and applicationManager.isMasterModel()}"
                                             actionListener="#{documentManager.clone(currentDocument)}">
                                <span class="gzl-icon-files-o"/>
                            </a4j:commandLink>

                            <a4j:commandLink event="click" title="#{messages['gazelle.common.button.Delete']}"
                                             rendered="#{( s:hasRole('admin_role') || s:hasRole('tests_editor_role')) and applicationManager.isMasterModel()}"
                                             oncomplete="jq162('#DeleteConfirmationModalPanel').modal('show');"
                                             render="DeleteConfirmationModalPanel,globalform, :deleteDocumentForm"
                                             execute="@this"
                                             actionListener="#{documentManager.setSelectedDocument(currentDocument)}">
                                <span class="gzl-icon-trash-o"/>
                            </a4j:commandLink>

                        </div>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="DocumentTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
                <h:commandLink value="#{messages['gazelle.common.export.ExportAsExcel']}"
                               action="#{gazelleExcelExporterJboss7.export('globalform:DocumentTable')}"/>
            </s:div>


            <s:div id ="importDiv" rendered="#{(s:hasRole('admin_role'))}">
                <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">

                    <ui:param name="panel_id" value="importPanel"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['net.ihe.gazelle.tm.ImportDocuments']}"/>
                    </ui:define>

                    <s:div id="uploadFile" rendered="#{documentManager.documentsToImport == null}">
                        <s:div rendered="#{documentManager.getUploadedFileContent() == null}">
                            <h:outputText id="fileUploadInfo"
                                          value="#{messages['net.ihe.gazelle.tm.PleaseUploadTheXMLFileContainingDocumentsToImpor']}"/>
                            <ul>
                                <li>
                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.DomainDetectionIsBasedOnKeywordsIfOneDoesNotAppe']}"/>
                                </li>
                                <li>
                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.SectionsThatAreNotAlreadyRegisteredWillBeAddedTo']} "/>
                                </li>
                            </ul>
                            <rich:fileUpload
                                    fileUploadListener="#{documentManager.uploadListener}"
                                    maxFilesQuantity="1"
                                    listHeight="60px"
                                    immediateUpload="true">
                                <a4j:ajax event="uploadcomplete" render="uploadFile, footer"/>
                            </rich:fileUpload>
                        </s:div>

                        <s:div id="fileNameInfo" rendered="#{documentManager.getUploadedFileContent() != null}" styleClass="form-horizontal">

                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">
                                    <h:outputText  value="#{messages['net.ihe.gazelle.tm.DocumentsFile']}"/>
                                </ui:define>
                                <h:outputText value="#{documentManager.getDescription()}"  />
                            </s:decorate>

                        </s:div>

                        <s:div id="reviewDiv">
                            <s:decorate template="/layout/form/_checkbox.xhtml">
                                <ui:param name="id" value="cbAutoImport"/>
                                <ui:define name="label">
                                    <h:outputText  value="#{messages['net.ihe.gazelle.tm.ReviewChangesBeforeSaving']}"/>
                                </ui:define>
                                <h:selectBooleanCheckbox id="cbAutoImport" value="#{documentManager.reviewBeforeSaving}">
                                    <a4j:ajax event="change" render="reviewDiv"/>
                                </h:selectBooleanCheckbox>
                            </s:decorate>

                            <s:div rendered="#{not documentManager.reviewBeforeSaving}">
                                <br/>
                                <s:span styleClass="gzl-icon-exclamation-triangle"/>
                                <h:outputText id="cbAutoImport"
                                              class="gzl-text-orange"
                                              value="#{messages['net.ihe.gazelle.tm.TheImportedDocumentsWillBePersistedInDatabaseWit']}"/>
                            </s:div>
                        </s:div>

                    </s:div>

                    <s:div id="reportDiv" rendered="#{documentManager.documentsToImport != null}" >
                        <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">

                            <ui:param name="panel_id" value="reportPanel"/>
                            <ui:define name="panel_title">
                                <h:outputText value="#{messages['net.ihe.gazelle.tm.ReportOnDocumentsImport']}"/>
                            </ui:define>

                            <s:div id="reportBody" rendered="#{documentManager.documentsToImport != null}" >
                                <div class="panel-body bg-primary">
                                    <s:div rendered="#{documentManager.documentsToImport.ignoredDocuments != null}">
                                        <h:outputText value="#{documentManager.documentsToImport.ignoredDocuments.size} #{messages['net.ihe.gazelle.tm.DocumentsAndTheirSectionsWillBeIgnoredBecauseThe']}" style="font-weight:bold"/>
                                        <br/>
                                        <s:div rendered="#{not documentManager.documentsToImport.ignoredDocuments.isEmpty()}">
                                            <h:outputText value="#{messages['net.ihe.gazelle.tm.HereIsTheListOfDocumentsThatHaveBeenIgnored']} "/>

                                            <rich:dataTable id="ignoredDocuments" var="currentDocument" value="#{documentManager.documentsToImport.ignoredDocuments}"
                                                            rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="dsIgnored">
                                                <g:column sortBy="#{'name'}">
                                                    <ui:define name="header">
                                                        <h:outputText
                                                                value="#{messages['gazelle.productregistry.system.label.Domain']}"/>
                                                    </ui:define>
                                                    <h:outputText value="#{currentDocument.domain.keyword}"/>
                                                </g:column>
                                                <g:column sortBy="#{'type'}">
                                                    <ui:define name="header">
                                                        <h:outputText value="#{messages['net.ihe.gazelle.tm.Type']}"/>
                                                    </ui:define>
                                                    <h:outputText value="#{currentDocument.type.friendlyName}"/>
                                                </g:column>
                                                <g:column sortBy="#{'volume'}">
                                                    <ui:define name="header">
                                                        <h:outputText value="#{messages['net.ihe.gazelle.tm.Volume']}"/>
                                                    </ui:define>
                                                    <h:outputText value="#{currentDocument.volume}"/>
                                                </g:column>
                                                <g:column sortBy="#{'title'}" filterBy="#{'title'}" filterEvent="onkeyup">
                                                    <ui:define name="header">
                                                        <h:outputText value="#{messages['net.ihe.gazelle.tm.Title']}"/>
                                                    </ui:define>
                                                    <h:outputText value="#{currentDocument.title}"/>
                                                </g:column>
                                                <g:column sortBy="#{'revision'}">
                                                    <ui:define name="header">
                                                        <h:outputText value="#{messages['net.ihe.gazelle.tm.Revision']}"/>
                                                    </ui:define>
                                                    <h:outputText value="#{currentDocument.revision}"/>
                                                </g:column>
                                                <g:column sortBy="#{'dateOfpublication'}">
                                                    <ui:define name="header">
                                                        <h:outputText value="#{messages['net.ihe.gazelle.tm.DateOfPublication']}"/>
                                                    </ui:define>
                                                    <g:date time="false" value="#{currentDocument.dateOfpublication}"/>
                                                </g:column>
                                                <g:column sortBy="#{'lifecyclestatus'}">
                                                    <ui:define name="header">
                                                        <h:outputText value="#{messages['net.ihe.gazelle.tm.LifeCycleStatus']}"/>
                                                    </ui:define>
                                                    <h:outputText value="#{currentDocument.lifecyclestatus.friendlyName}"/>
                                                </g:column>
                                                <g:column sortBy="#{'url'}">
                                                    <ui:define name="header">
                                                        <h:outputText value="#{messages['gazelle.testmanagement.object.Name']}"/>
                                                    </ui:define>
                                                    <ui:include src="/tf/documents/_documentPdfLink.xhtml">
                                                        <ui:param name="document" value="#{currentDocument}"/>
                                                        <ui:param name="displayedName" value="#{currentDocument.name}"/>
                                                    </ui:include>
                                                </g:column>
                                                <g:column>
                                                    <ui:define name="header">
                                                        <h:outputText value="##{messages['net.ihe.gazelle.tm.DocumentSections']}"/>
                                                    </ui:define>
                                                    <h:outputText value="#{currentDocument.documentSection.size()}"/>
                                                </g:column>
                                                <f:facet name="footer">
                                                    <ui:include src="/util/datatableFooter.xhtml">
                                                        <ui:param name="dataScrollerId" value="dsIgnored"/>
                                                        <ui:param name="dataTableId" value="ignoredDocuments"/>
                                                    </ui:include>
                                                </f:facet>
                                            </rich:dataTable>

                                        </s:div>
                                    </s:div>

                                    <s:div rendered="#{documentManager.documentsToImport.unknownDomains != null}">
                                        <h:outputText value="#{documentManager.documentsToImport.unknownDomains.size} #{messages['net.ihe.gazelle.tm.DomainsHaveBeenFoundMissingInThisInstance']}" style="font-weight:bold"/>
                                        <br/>
                                        <s:div rendered="#{not documentManager.documentsToImport.unknownDomains.isEmpty()}">
                                            <h:outputText value="#{messages['net.ihe.gazelle.tm.HereIsTheListOfDomainsThatHaveBeenFoundMissing']} "/>
                                            <ul>
                                                <ui:repeat value="#{documentManager.documentsToImport.unknownDomains}" var="domain">
                                                    <li>
                                                        <h:outputText value="#{domain}"/>
                                                    </li>
                                                </ui:repeat>
                                            </ul>
                                        </s:div>
                                    </s:div>

                                </div>
                                <br/>
                                <s:div rendered="#{documentManager.documentsToImport.documents != null and documentManager.reviewBeforeSaving}">
                                    <h:outputText value="#{documentManager.documentsToImport.documents.size} #{messages['net.ihe.gazelle.tm.DocumentsWillBeImportedIntoYourDatabase']}" style="font-weight:bold"/>
                                </s:div>
                                <s:div rendered="#{documentManager.documentsToImport.documents != null and not documentManager.reviewBeforeSaving}">
                                    <h:outputText value="#{documentManager.documentsToImport.documents.size} #{messages['net.ihe.gazelle.tm.DocumentsHaveBeenImportedIntoYourDatabase']}" style="font-weight:bold"/>
                                </s:div>

                                <s:div rendered="#{not (documentManager.documentsToImport.documents == null) and not documentManager.documentsToImport.documents.isEmpty()}">
                                    <div class="panel-body">

                                        <rich:dataTable id="importedDocuments" var="currentDocument" value="#{documentManager.documentsToImport.documents}"
                                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="dsImported">
                                            <g:column sortBy="#{'name'}">
                                                <ui:define name="header">
                                                    <h:outputText
                                                            value="#{messages['gazelle.productregistry.system.label.Domain']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.domain.keyword}"/>
                                            </g:column>
                                            <g:column sortBy="#{'type'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Type']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.type.friendlyName}"/>
                                            </g:column>
                                            <g:column sortBy="#{'volume'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Volume']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.volume}"/>
                                            </g:column>
                                            <g:column sortBy="#{'title'}" filterBy="#{'title'}" filterEvent="onkeyup">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Title']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.title}"/>
                                            </g:column>
                                            <g:column sortBy="#{'revision'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Revision']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.revision}"/>
                                            </g:column>
                                            <g:column sortBy="#{'dateOfpublication'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.DateOfPublication']}"/>
                                                </ui:define>
                                                <g:date time="false" value="#{currentDocument.dateOfpublication}"/>
                                            </g:column>
                                            <g:column sortBy="#{'lifecyclestatus'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.LifeCycleStatus']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.lifecyclestatus.friendlyName}"/>
                                            </g:column>
                                            <g:column sortBy="#{'url'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['gazelle.testmanagement.object.Name']}"/>
                                                </ui:define>
                                                <ui:include src="/tf/documents/_documentPdfLink.xhtml">
                                                    <ui:param name="document" value="#{currentDocument}"/>
                                                    <ui:param name="displayedName" value="#{currentDocument.name}"/>
                                                </ui:include>
                                            </g:column>
                                            <g:column>
                                                <ui:define name="header">
                                                    <h:outputText value="##{messages['net.ihe.gazelle.tm.NewSections']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.documentSection.size()}"/>
                                            </g:column>
                                            <f:facet name="footer">
                                                <ui:include src="/util/datatableFooter.xhtml">
                                                    <ui:param name="dataScrollerId" value="dsImported"/>
                                                    <ui:param name="dataTableId" value="importedDocuments"/>
                                                </ui:include>
                                            </f:facet>
                                        </rich:dataTable>

                                    </div>
                                </s:div>

                                <s:div rendered="#{documentManager.documentsToImport.duplicatedDocuments != null and documentManager.reviewBeforeSaving}">
                                    <h:outputText value="#{documentManager.documentsToImport.duplicatedDocuments.size} #{messages['net.ihe.gazelle.tm.DocumentsAreAlreadyPresentInYourDatabaseAndWontB']}" style="font-weight:bold"/>
                                </s:div>
                                <s:div rendered="#{documentManager.documentsToImport.duplicatedDocuments != null and not documentManager.reviewBeforeSaving}">
                                    <h:outputText value="#{documentManager.documentsToImport.duplicatedDocuments.size} #{messages['net.ihe.gazelle.tm.DocumentsHaveNotBeenImportedIntoYourDatabaseBeca']}" style="font-weight:bold"/>
                                </s:div>

                                <s:div rendered="#{not (documentManager.documentsToImport.duplicatedDocuments == null) and not documentManager.documentsToImport.duplicatedDocuments.isEmpty()}">
                                    <div class="panel-body">

                                        <rich:dataTable id="duplicatedDocuments" var="currentDocument" value="#{documentManager.documentsToImport.duplicatedDocuments}"
                                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="dsDuplicated">
                                            <g:column sortBy="#{'name'}">
                                                <ui:define name="header">
                                                    <h:outputText
                                                            value="#{messages['gazelle.productregistry.system.label.Domain']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.domain.keyword}"/>
                                            </g:column>
                                            <g:column sortBy="#{'type'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Type']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.type.friendlyName}"/>
                                            </g:column>
                                            <g:column sortBy="#{'volume'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Volume']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.volume}"/>
                                            </g:column>
                                            <g:column sortBy="#{'title'}" filterBy="#{'title'}" filterEvent="onkeyup">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Title']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.title}"/>
                                            </g:column>
                                            <g:column sortBy="#{'revision'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Revision']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.revision}"/>
                                            </g:column>
                                            <g:column sortBy="#{'dateOfpublication'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.DateOfPublication']}"/>
                                                </ui:define>
                                                <g:date time="false" value="#{currentDocument.dateOfpublication}"/>
                                            </g:column>
                                            <g:column sortBy="#{'lifecyclestatus'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.LifeCycleStatus']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.lifecyclestatus.friendlyName}"/>
                                            </g:column>
                                            <g:column sortBy="#{'url'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['gazelle.testmanagement.object.Name']}"/>
                                                </ui:define>
                                                <ui:include src="/tf/documents/_documentPdfLink.xhtml">
                                                    <ui:param name="document" value="#{currentDocument}"/>
                                                    <ui:param name="displayedName" value="#{currentDocument.name}"/>
                                                </ui:include>
                                            </g:column>
                                            <g:column>
                                                <ui:define name="header">
                                                    <h:outputText value="##{messages['net.ihe.gazelle.tm.NewSections']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentDocument.documentSection.size()}"/>
                                            </g:column>
                                            <f:facet name="footer">
                                                <ui:include src="/util/datatableFooter.xhtml">
                                                    <ui:param name="dataScrollerId" value="dsDuplicated"/>
                                                    <ui:param name="dataTableId" value="duplicatedDocuments"/>
                                                </ui:include>
                                            </f:facet>
                                        </rich:dataTable>

                                    </div>
                                </s:div>



                                <s:div rendered="#{documentManager.documentsToImport.ignoredSections != null}">
                                    <h:outputText value="#{documentManager.documentsToImport.ignoredSections.size} #{messages['net.ihe.gazelle.tm.DocumentSectionWillBeIgnoredBecauseTheyAlreadyEx']}" style="font-weight:bold"/>
                                </s:div>

                                <s:div rendered="#{not (documentManager.documentsToImport.ignoredSections == null) and not documentManager.documentsToImport.ignoredSections.isEmpty()}">
                                    <div class="panel-body">

                                        <rich:dataTable id="ignoredSections" var="currentSection" value="#{documentManager.documentsToImport.ignoredSections}"
                                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="dsIgnoredSections">
                                            <g:column sortBy="#{'type'}">
                                                <ui:define name="header">
                                                    <h:outputText
                                                            value="#{messages['net.ihe.gazelle.tm.SectionType']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentSection.type}"/>
                                            </g:column>
                                            <g:column sortBy="#{'section'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Section']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentSection.section}"/>
                                            </g:column>
                                            <g:column sortBy="#{'document'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.DocumentName']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentSection.document.name}"/>
                                            </g:column>
                                            <f:facet name="footer">
                                                <ui:include src="/util/datatableFooter.xhtml">
                                                    <ui:param name="dataScrollerId" value="dsIgnoredSections"/>
                                                    <ui:param name="dataTableId" value="ignoredSections"/>
                                                </ui:include>
                                            </f:facet>
                                        </rich:dataTable>

                                    </div>
                                </s:div>

                            </s:div>

                            <ui:define name="panel_footer">
                                <s:div id="reportFooter">
                                    <a4j:commandButton styleClass="gzl-btn"
                                                       value="#{messages['net.ihe.gazelle.tm.Reset']}"
                                                       rendered="#{documentManager.getUploadedFileContent() != null}"
                                                       actionListener="#{documentManager.resetImport()}"
                                                       render="importDiv"
                                                       execute="@this"/>

                                    <a4j:commandButton value="#{messages['net.ihe.gazelle.tm.ImportDocuments']}"
                                                       rendered="#{documentManager.getUploadedFileContent() != null and documentManager.reviewBeforeSaving and not documentManager.documentsToImport.isImported()}"
                                                       styleClass="gzl-btn-blue"
                                                       action="#{documentManager.persistImportedDocuments()}"
                                                       render="DocumentTable,importDiv"/>
                                </s:div>
                            </ui:define>
                        </ui:decorate>
                    </s:div>


                    <ui:define name="panel_footer">
                        <s:div id="footer">
                            <a4j:commandButton styleClass="gzl-btn"
                                               value="#{messages['net.ihe.gazelle.tm.Reset']}"
                                               rendered="#{(documentManager.getUploadedFileContent() != null) and (documentManager.documentsToImport == null)}"
                                               actionListener="#{documentManager.resetUpload()}"
                                               render="importDiv"
                                               execute="@this"/>

                            <a4j:commandButton value="#{messages['net.ihe.gazelle.tm.ImportDocuments']}"
                                               rendered="#{(documentManager.getUploadedFileContent() != null) and (documentManager.documentsToImport == null)}"
                                               styleClass="gzl-btn-blue"
                                               action="#{documentManager.importDocumentsFromXml()}"
                                               render="DocumentTable,importDiv"/>
                        </s:div>
                    </ui:define>
                </ui:decorate>
            </s:div>


        </h:form>
        <h:form id="deleteDocumentForm">
            <s:token allowMultiplePosts="true"/>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="DeleteConfirmationModalPanel"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.tm.Document.deleteConfirmation']}</ui:define>
                <h:outputText
                        rendered="#{documentManager.selectedDocument.hasDocumentSectionsLinkedToOtherEntities()}"
                        id="currentDocument_cannotDeleteLabelOutputText"
                        value="#{messages['net.ihe.gazelle.tm.YouCannotDeleteThisDocummentAsItIsCurrentlyLinke']}"/>
                <rich:dataTable id="TransactionEntitiesTable" var="transaction"
                                value="#{documentManager.selectedDocument.getTransactionsLinked()}"
                                rows="5"
                                rendered="#{documentManager.selectedDocument.getTransactionsLinked().size() &gt; 0}">
                    <g:column sortBy="#{'name'}">
                        <ui:define name="header">
                            <h:outputText value="#{messages['gazelle.tf.Transaction']}"/>
                        </ui:define>
                        <h:commandLink value="#{transaction.name}"
                                       action="#{transactionManager.showTransaction(transaction)}"
                                       target="Transaction"/>
                    </g:column>
                    <f:facet name="footer">
                        <rich:dataScroller maxPages="5" renderIfSinglePage="false"/>
                    </f:facet>
                </rich:dataTable>
                <rich:dataTable id="IntegrationProfileEntitiesTable" var="integrationProfile"
                                value="#{documentManager.selectedDocument.getIntegrationProfileLinked()}"
                                rows="5"
                                rendered="#{documentManager.selectedDocument.getIntegrationProfileLinked().size() &gt; 0}">
                    <g:column sortBy="#{'name'}">
                        <ui:define name="header">
                            <h:outputText
                                    value="#{messages['gazelle.tf.table.IntegrationProfile']}"/>
                        </ui:define>
                        <h:commandLink value="#{integrationProfile.name}"
                                       action="#{integrationProfileManager.showIntegrationProfile(integrationProfile)}"
                                       target="integrationProfile"/>
                    </g:column>
                    <f:facet name="footer">
                        <rich:dataScroller maxPages="5" renderIfSinglePage="false"/>
                    </f:facet>
                </rich:dataTable>
                <rich:dataTable id="AIPOEntitiesTable" var="currentAipo"
                                value="#{documentManager.selectedDocument.getAIPOLinked()}"
                                rows="5"
                                rendered="#{documentManager.selectedDocument.getAIPOLinked().size() &gt; 0}">
                    <f:facet name="header">
                        <rich:columnGroup>
                            <g:column colspan="3">
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.tm.ActorIntegrationProfileOption']}"/>
                            </g:column>
                        </rich:columnGroup>
                    </f:facet>
                    <g:column sortBy="#{'actorIntegrationProfile.actor.keyword'}"
                              sortOrder="ascending">
                        <ui:define name="header">#{messages['gazelle.tf.Actor']}</ui:define>
                        <h:commandLink
                                value="#{currentAipo.actorIntegrationProfile.actor.keyword} - #{currentAipo.actorIntegrationProfile.actor.name}"
                                action="#{actorManager.editActor(currentAipo.actorIntegrationProfile.actor, false)}"/>
                    </g:column>
                    <g:column sortBy="#{'actorIntegrationProfile.integrationProfile.keyword'}">
                        <ui:define name="header">#{messages['gazelle.tf.IntegrationProfile']}</ui:define>
                        <h:commandLink
                                value="#{currentAipo.actorIntegrationProfile.integrationProfile.keyword} - #{currentAipo.actorIntegrationProfile.integrationProfile.name}"
                                action="#{integrationProfileManager.editIntegrationProfile(currentAipo.actorIntegrationProfile.integrationProfile, false)}"/>
                    </g:column>
                    <g:column sortBy="#{'integrationProfileOption.keyword'}">
                        <ui:define name="header">#{messages['gazelle.tf.IntegrationProfileOption']}</ui:define>
                        <h:commandLink
                                value="#{currentAipo.integrationProfileOption.keyword} - #{currentAipo.integrationProfileOption.name}"
                                action="#{integrationProfileOptionManager.editIntegrationProfileOption(currentAipo.integrationProfileOption, false)}"/>
                    </g:column>
                    <f:facet name="footer">
                        <rich:dataScroller maxPages="5" renderIfSinglePage="false"/>
                    </f:facet>
                </rich:dataTable>
                <h:outputText rendered="#{documentManager.selectedDocument.isNotLinkedToOtherEntities()}"
                              id="currentDocument_DeleteLabelOutputText"
                              value="#{messages['net.ihe.gazelle.tm.Document.deleteConfirmation']} #{documentManager.selectedDocument.name}?"/>
                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['gazelle.tm.Cancel']}
                    </button>
                    <a4j:commandButton id="deleteButtonConfirm"
                                       rendered="#{documentManager.selectedDocument.isNotLinkedToOtherEntities()}"
                                       value="#{messages['gazelle.common.button.Delete']}"
                                       ignoreDupResponses="true" styleClass="gzl-btn-red"
                                       actionListener="#{documentManager.delete()}"
                                       onclick="jq162('#DeleteConfirmationModalPanel').modal('hide');"
                                       render="globalform"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
